# EcologicalNetworks.jl

This `julia` package provides a common interface to analyze all types of data on
ecological networks. It is designed to be general, easy to expand, and work on
bipartite/unipartite as well as deterministic/quantitative/probabilistic
networks. The current version is compatible with `julia` version 1.0 and 0.7.

[![](https://img.shields.io/badge/docs-stable-blue.svg)](https://PoisotLab.github.io/EcologicalNetworks.jl/stable)
[![](https://img.shields.io/badge/docs-latest-blue.svg)](https://PoisotLab.github.io/EcologicalNetworks.jl/latest)
[![Join the chat at https://gitter.im/PoisotLab/EcologicalNetworks.jl](https://badges.gitter.im/PoisotLab/EcologicalNetworks.jl.svg)](https://gitter.im/PoisotLab/EcologicalNetworks.jl?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

[![Waffle.io - Columns and their card count](https://badge.waffle.io/PoisotLab/EcologicalNetworks.jl.svg?columns=all)](https://waffle.io/PoisotLab/EcologicalNetworks.jl)

There is a short bibliography of the methods in the [package
documentation][pdocref].

[pdocref]: http://poisotlab.io/EcologicalNetworks.jl/latest/#references

## Getting started

Install (from the package mode):

~~~
add EcologicalNetworks
~~~

That's it. Now head over to the
[documentation](http://poisotlab.io/EcologicalNetworks.jl/stable/).

## How's the code doing?

### Released version

[![DOI](https://zenodo.org/badge/25148478.svg)](https://zenodo.org/badge/latestdoi/25148478)
[![license](https://img.shields.io/badge/license-MIT%20%22Expat%22-yellowgreen.svg)](https://github.com/PoisotLab/EcologicalNetworks.jl/blob/master/LICENSE.md)

[![GitHub tag](https://img.shields.io/github/tag/PoisotLab/EcologicalNetworks.jl.svg)]()
[![GitHub issues](https://img.shields.io/github/issues/PoisotLab/EcologicalNetworks.jl.svg)]()
[![GitHub pull requests](https://img.shields.io/github/issues-pr/PoisotLab/EcologicalNetworks.jl.svg)]()

### On `master`

[![Build Status](https://travis-ci.org/PoisotLab/EcologicalNetworks.jl.svg?branch=master)](https://travis-ci.org/PoisotLab/EcologicalNetworks.jl)
[![Coverage Status](https://coveralls.io/repos/PoisotLab/EcologicalNetworks.jl/badge.svg?branch=master&service=github)](https://coveralls.io/github/PoisotLab/EcologicalNetworks.jl?branch=master)
[![codecov.io](http://codecov.io/github/PoisotLab/EcologicalNetworks.jl/coverage.svg?branch=master)](http://codecov.io/github/PoisotLab/EcologicalNetworks.jl?branch=master)

### On `develop`

[![Build Status](https://travis-ci.org/PoisotLab/EcologicalNetworks.jl.svg?branch=develop)](https://travis-ci.org/PoisotLab/EcologicalNetworks.jl)
[![Coverage Status](https://coveralls.io/repos/github/PoisotLab/EcologicalNetworks.jl/badge.svg?branch=develop)](https://coveralls.io/github/PoisotLab/EcologicalNetworks.jl?branch=develop)
[![codecov.io](http://codecov.io/github/PoisotLab/EcologicalNetworks.jl/coverage.svg?branch=develop)](http://codecov.io/github/PoisotLab/EcologicalNetworks.jl?branch=develop)
